/*!*************************************************************************************************************************************************************************************************************************!*\
  !*** css ./node_modules/css-loader/dist/cjs.js!./node_modules/postcss-loader/dist/cjs.js??ruleSet[1].rules[0].use[2]!./node_modules/sass-loader/dist/cjs.js!./inc/elementor-widgets/widgets/product-listing/style.scss ***!
  \*************************************************************************************************************************************************************************************************************************/
.product-listing {
  transition: opacity 0.3s;
}
.product-listing.loading {
  opacity: 0.5;
  pointer-events: none;
}
.product-listing__overlay {
  position: fixed;
  left: 0;
  top: 0;
  right: 0;
  bottom: 0;
  z-index: 10;
  background-color: rgba(0, 0, 0, 0.2);
  opacity: 0;
  pointer-events: none;
  transition: opacity 0.3s ease;
}
.product-listing__overlay.active {
  opacity: 1;
  pointer-events: all;
}
.product-listing__categories {
  display: flex;
  flex-wrap: wrap;
  gap: 16px;
}
@media (min-width: 1024px) {
  .product-listing__categories {
    flex-wrap: nowrap;
    gap: 24px;
  }
}
.product-listing__categories:has(.product-listing__category:nth-child(6)) {
  gap: 10px;
}
.product-listing__categories.no-subcategories {
  display: none;
}
.product-listing__categories__wrapper:has(.product-listing__categories.no-subcategories) {
  display: none;
}
.product-listing__categories__title {
  margin-top: 0;
  margin-bottom: 32px;
  font-size: 20px !important;
  line-height: 24px !important;
}
@media (min-width: 768px) {
  .product-listing__categories__title {
    margin-bottom: 24px;
    font-size: 30px !important;
    line-height: 37px !important;
  }
}
.product-listing__category {
  display: flex;
  flex-direction: column;
  width: calc(50% - 8px);
  border-radius: 16px;
  box-shadow: 0px 1px 3px 0px rgba(0, 0, 0, 0.1);
  overflow: hidden;
}
@media (min-width: 768px) {
  .product-listing__category {
    width: calc(33.3333333333% - 10.6666666667px);
  }
}
@media (min-width: 1024px) {
  .product-listing__category {
    width: calc(20% - 19.2px);
  }
}
.product-listing__category:hover span, .product-listing__category.active span {
  color: var(--e-global-color-accent) !important;
  background-color: var(--e-global-color-primary);
  border-color: var(--e-global-color-primary) !important;
}
.product-listing__category.active span {
  font-weight: 600 !important;
}
.product-listing__category__block {
  position: relative;
  z-index: 1;
  display: none;
  flex-direction: column;
  align-items: flex-start;
  margin-bottom: 32px;
  padding: 32px 16px;
  color: var(--e-global-color-accent);
  border-radius: 16px;
  overflow: hidden;
}
@media (min-width: 768px) {
  .product-listing__category__block {
    margin-bottom: 44px;
    padding: 32px;
  }
}
.product-listing__category__block.active {
  display: flex;
}
.product-listing__category__block::before {
  content: "";
  display: block;
  position: absolute;
  left: 0;
  top: 0;
  z-index: -1;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.44);
}
.product-listing__category__block__image {
  position: absolute;
  left: 0;
  top: 0;
  z-index: -2;
  width: 100%;
  height: 100%;
}
.product-listing__category__block__image img {
  width: 100%;
  height: 100%;
  -o-object-fit: cover;
     object-fit: cover;
}
.product-listing__category__block__title {
  margin-top: 0;
  margin-bottom: 16px;
  font-size: 20px !important;
  line-height: 24px !important;
  color: var(--e-global-color-accent) !important;
}
@media (min-width: 768px) {
  .product-listing__category__block__title {
    font-size: 48px !important;
    line-height: 59px !important;
  }
}
.product-listing__category__block__description {
  max-width: 661px;
  width: 100%;
}
.product-listing__category__block__description p {
  font-size: 12px;
  line-height: 15px;
}
@media (min-width: 768px) {
  .product-listing__category__block__description p {
    font-size: 16px;
    line-height: 20px;
  }
}
.product-listing__category__block__button {
  margin-top: 24px;
  padding: 12px 19px !important;
  border: none !important;
}
@media (min-width: 768px) {
  .product-listing__category__block__button {
    margin-top: 32px;
  }
}
.product-listing__category__img {
  position: relative;
  width: 100%;
}
.product-listing__category__img::after {
  content: "";
  display: block;
  padding-bottom: 41.03%;
}
@media (min-width: 768px) {
  .product-listing__category__img::after {
    padding-bottom: 35.472972973%;
  }
}
.product-listing__category__img img {
  position: absolute;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  -o-object-fit: cover;
     object-fit: cover;
}
.product-listing__category span {
  display: flex;
  align-items: center;
  justify-content: center;
  height: 100%;
  padding: 16px 13px 15px 13px;
  font-size: 12px !important;
  line-height: 15px !important;
  font-weight: 500 !important;
  text-align: center;
  border-radius: 0 0 16px 16px;
  background-color: var(--e-global-color-accent);
  border-right: 1px solid #ECECEC;
  border-left: 1px solid #ECECEC;
  border-bottom: 1px solid #ECECEC;
  transition: background-color 0.3s ease, border-color 0.3s ease, color 0.3s ease;
}
@media (min-width: 768px) {
  .product-listing__category span {
    font-size: 16px !important;
    line-height: 20px !important;
  }
}
.product-listing__category__info {
  display: none;
  flex-direction: column;
  gap: 32px;
  padding-top: 60px;
}
@media (min-width: 768px) {
  .product-listing__category__info {
    padding-top: 192px;
  }
}
.product-listing__category__info.active {
  display: flex;
}
.product-listing__category__info__title {
  margin-top: 0;
  margin-bottom: 0;
  font-size: 24px !important;
  line-height: 29px !important;
}
@media (min-width: 768px) {
  .product-listing__category__info__title {
    font-size: 48px !important;
    line-height: 59px !important;
  }
}
.product-listing__category__info__description {
  max-width: 1008px;
  width: 100%;
}
.product-listing__category__info__description p {
  font-size: 14px;
  line-height: 17px;
  color: #333333;
}
@media (min-width: 768px) {
  .product-listing__category__info__description p {
    font-size: 16px;
    line-height: 20px;
  }
}
.product-listing__category__info__description p:not(:last-child) {
  margin-bottom: 16px;
}
.product-listing__breadcrumb {
  margin-top: 32px;
}
.product-listing__buttons {
  display: flex;
  align-items: center;
  gap: 16px;
}
.product-listing__button {
  width: 100%;
  margin-top: 40px;
  margin-bottom: 16px;
  border-radius: 16px;
}
.product-listing__button__filter {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 12px;
  padding: 12px 15px;
  font-size: 16px !important;
  line-height: 20px !important;
  font-weight: 500 !important;
  color: var(--e-global-color-accent) !important;
  background-color: var(--e-global-color-primary);
  transition: background-color 0.3s ease;
}
.product-listing__button__filter:hover {
  background-color: var(--e-global-color-29257ef);
}
.product-listing__button__filter svg {
  width: 20px;
  height: 20px;
}
.product-listing__button__order {
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 12px;
  padding: 12.5px 15px;
  font-size: 14px !important;
  line-height: 17px !important;
  font-weight: 500 !important;
  text-align: left !important;
  border: 1px solid #ECECEC !important;
  background-color: var(--e-global-color-accent);
  transition: background-color 0.3s ease;
}
.product-listing__button__order:hover {
  background-color: var(--e-global-color-2212ed3);
}
.product-listing__button__order__icon {
  line-height: 0 !important;
}
.product-listing__content {
  width: 100%;
}
.product-listing__content__wrapper {
  display: flex;
  align-items: flex-start;
  gap: 16px;
  margin-top: 24px;
}
@media (min-width: 768px) {
  .product-listing__content__wrapper {
    margin-top: 44px;
  }
}
@media (min-width: 1024px) {
  .product-listing__content__wrapper {
    gap: 32px;
  }
}
.product-listing__content__filters {
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 16px;
}
@media (min-width: 768px) {
  .product-listing__content__filters {
    flex-direction: column;
    align-items: flex-start;
  }
}
@media (min-width: 1024px) {
  .product-listing__content__filters {
    flex-direction: row;
    align-items: center;
  }
}
.product-listing__content__filters__amount {
  font-size: 16px;
  line-height: 20px;
  font-weight: 600;
}
.product-listing__content__filters__right {
  display: flex;
  align-items: center;
  gap: 16px;
}
@media (min-width: 1024px) {
  .product-listing__content__filters__right {
    gap: 24px;
  }
}
@media (max-width: 1023px) {
  .product-listing__content__filters__right {
    justify-content: space-between;
    width: 100%;
  }
}
@media (max-width: 767px) {
  .product-listing__content__filters__right {
    width: auto;
  }
}
.product-listing__content__filters__layouts {
  display: flex;
  align-items: center;
  gap: 4px;
}
.product-listing__content__filters__layout {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 40px;
  height: 40px;
}
.product-listing__content__filters__layout.active svg path {
  stroke: var(--e-global-color-text);
  fill: var(--e-global-color-text);
}
.product-listing__content__filters__layout svg path {
  fill: transparent;
  transition: stroke 0.3s ease, fill 0.3s ease;
}
.product-listing__content__filters__posts {
  display: flex;
  align-items: center;
  gap: 14px;
}
.product-listing__content__filters__posts__title {
  font-size: 16px;
  line-height: 20px;
  font-weight: 500;
}
.product-listing__content__filters__orderby__dropdown__button {
  min-width: 144px;
}
.product-listing__content__filters-active {
  display: none;
  align-items: center;
  flex-wrap: wrap;
  gap: 8px;
  margin-top: 16px;
}
@media (max-width: 767px) {
  .product-listing__content__filters-active {
    display: none !important;
  }
}
.product-listing__content__filters-active.active {
  display: flex;
}
.product-listing__content__filters-active__title {
  margin-right: 16px;
  font-size: 14px !important;
  line-height: 17px !important;
  font-weight: 500 !important;
}
.product-listing__content__filters-active__label {
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 16px;
  min-width: 150px;
  padding: 8.5px 12px;
  border-radius: 12px;
  background-color: #F4F4F4;
}
.product-listing__content__filters-active__label__name {
  font-size: 12px;
  line-height: 15px;
}
.product-listing__content__filters-active__label__remove {
  color: #8A8A8A;
  transition: color 0.3s ease;
}
.product-listing__content__filters-active__label__remove:hover {
  color: var(--e-global-color-primary);
}
.product-listing__content__inner {
  margin-top: 32px;
}
.product-listing__filters {
  position: sticky;
  top: 24px;
  width: 100%;
  border: 1px solid #ECECEC;
  background-color: var(--e-global-color-accent);
  border-radius: 16px 16px 0 0;
}
@media (min-width: 768px) {
  .product-listing__filters {
    min-width: 280px;
    max-width: 280px;
    border-radius: 16px;
  }
}
@media (min-width: 1024px) {
  .product-listing__filters {
    min-width: 344px;
    max-width: 344px;
  }
}
@media (max-width: 767px) {
  .product-listing__filters {
    position: fixed;
    top: auto !important;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 11;
    max-height: calc(100dvh - 70px);
    opacity: 0;
    transform: translateY(100%);
    pointer-events: none;
    transition: opacity 0.3s ease, transform 0.3s ease;
  }
}
.logged-in:not(.logged-in-customer) .product-listing__filters {
  top: 56px;
}
.product-listing__filters.active {
  opacity: 1;
  transform: translateY(0);
  pointer-events: all;
}
.product-listing__filters__top {
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 16px;
  padding: 15px 23px;
  border-bottom: 1px solid #ECECEC;
}
.product-listing__filters__name {
  display: flex;
  align-items: center;
  gap: 8px;
  font-size: 16px;
  line-height: 20px;
  font-weight: 600;
}
.product-listing__filters__clear {
  font-size: 16px !important;
  line-height: 20px !important;
  font-weight: 500 !important;
  color: var(--e-global-color-primary) !important;
  transition: color 0.3s ease;
}
.product-listing__filters__clear:hover {
  color: var(--e-global-color-text) !important;
}
.product-listing__filters__list {
  display: flex;
  flex-direction: column;
  gap: 16px;
  max-height: calc(100dvh - 218px);
  padding: 8px 23px 23px 23px;
  overflow-y: auto;
}
@media (min-width: 768px) {
  .product-listing__filters__list {
    max-height: calc(100dvh - 104px);
  }
}
.logged-in:not(.logged-in-customer) .product-listing__filters__list {
  max-height: calc(100dvh - 264px);
}
@media (min-width: 768px) {
  .logged-in:not(.logged-in-customer) .product-listing__filters__list {
    max-height: calc(100dvh - 136px);
  }
}
.product-listing__filters__list__item {
  padding: 0 0 8px 0;
  border-bottom: 1px solid #ECECEC;
}
.product-listing__filters__list__item.active .product-listing__filters__list__item__button svg {
  transform: rotate(180deg);
}
.product-listing__filters__list__item.active .product-listing__filters__list__item__inner {
  height: auto;
}
.product-listing__filters__list__item__button {
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 16px;
  width: 100%;
  padding: 16px 0;
  font-size: 16px !important;
  line-height: 20px !important;
  font-weight: 600 !important;
}
.product-listing__filters__list__item__button svg {
  transition: transform 0.3s ease;
}
.product-listing__filters__list__item__inner {
  height: 0;
  overflow: hidden;
  transition: height 0.3s ease;
}
.product-listing__filters__list__item__search {
  position: relative;
  width: 100%;
}
.product-listing__filters__list__item__search__input {
  width: 100%;
  padding: 12px 15px 12px 44px;
  font-family: inherit;
  font-size: 14px;
  line-height: 17px;
  font-weight: 500;
  border: 1px solid #D8D8D8;
  border-radius: 16px;
  transition: border-color 0.3s ease;
}
.product-listing__filters__list__item__search__input:hover, .product-listing__filters__list__item__search__input:focus, .product-listing__filters__list__item__search__input:focus-visible {
  border: 1px solid var(--e-global-color-primary);
  outline: none;
}
.product-listing__filters__list__item__search__input::placeholder, .product-listing__filters__list__item__search__input:focus::-webkit-input-placeholder {
  font-size: 14px;
  line-height: 17px;
  font-weight: 400;
  color: #B0B0B0;
  opacity: 1;
}
.product-listing__filters__list__item__search__icon {
  position: absolute;
  top: 50%;
  left: 16px;
  line-height: 0;
  transform: translateY(-50%);
  pointer-events: none;
}
.product-listing__filters__list__item__list {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  gap: 16px;
  margin: 16px 0;
  padding-left: 0;
  list-style: none !important;
}
.product-listing__filters__list__item__list__item__button {
  display: flex;
  align-items: center;
  gap: 12px;
  font-size: 14px !important;
  line-height: 17px !important;
  font-weight: 500 !important;
  text-align: left !important;
}
.product-listing__filters__list__item__list__item__button:hover .product-listing__filters__list__item__list__item__button__checkbox {
  border-color: var(--e-global-color-primary);
}
.product-listing__filters__list__item__list__item__button.active .product-listing__filters__list__item__list__item__button__checkbox {
  background-color: var(--e-global-color-primary);
  border-color: var(--e-global-color-primary);
}
.product-listing__filters__list__item__list__item__button__checkbox {
  display: flex;
  justify-content: center;
  align-items: center;
  min-width: 20px;
  width: 20px;
  height: 20px;
  color: var(--e-global-color-accent);
  border-radius: 4px;
  border: 1px solid #D8D8D8;
  transition: background-color 0.3s ease, border-color 0.3s ease;
}
.product-listing__filters__list__item__empty {
  display: none;
  margin-top: -15px;
  margin-bottom: 15px;
  font-size: 14px !important;
  line-height: 17px !important;
}
.product-listing__filters__list__item__empty.active {
  display: block;
}
.product-listing__filters__buttons {
  display: flex;
  align-items: center;
  gap: 16px;
  padding: 24px 32px;
  border-top: 1px solid #ECECEC;
}
.product-listing__filters__button {
  width: 100%;
  padding: 12px 18px;
  font-size: 16px !important;
  line-height: 20px !important;
  border-radius: 16px;
}
.product-listing__filters__button__clear {
  color: var(--e-global-color-primary) !important;
  background-color: var(--e-global-color-accent) !important;
}
.product-listing__filters__button__clear:hover {
  background-color: var(--e-global-color-2212ed3) !important;
}
.product-listing__filters__button__apply {
  color: var(--e-global-color-accent) !important;
  background-color: var(--e-global-color-primary) !important;
}
.product-listing__filters__button__apply:hover {
  background-color: var(--e-global-color-29257ef) !important;
}
.product-listing__orderby {
  position: fixed;
  top: auto !important;
  left: 0;
  right: 0;
  bottom: 0;
  z-index: 11;
  width: 100%;
  max-height: calc(100dvh - 70px);
  border: 1px solid #ECECEC;
  background-color: var(--e-global-color-accent);
  border-radius: 16px 16px 0 0;
  opacity: 0;
  transform: translateY(100%);
  pointer-events: none;
  transition: opacity 0.3s ease, transform 0.3s ease;
}
.product-listing__orderby.active {
  opacity: 1;
  transform: translateY(0);
  pointer-events: all;
}
.product-listing__orderby__top {
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 16px;
  padding: 15px 23px;
  border-bottom: 1px solid #ECECEC;
}
.product-listing__orderby__name {
  display: flex;
  align-items: center;
  gap: 8px;
  font-size: 16px;
  line-height: 20px;
  font-weight: 600;
}
.product-listing__orderby__list {
  display: flex;
  flex-direction: column;
  gap: 8px;
  padding: 24px 16px;
}
.product-listing__orderby__button {
  display: flex;
  align-items: center;
  justify-content: flex-start;
  gap: 12px;
  padding: 6px 0;
  font-size: 16px !important;
  line-height: 20px !important;
  font-weight: 500 !important;
}
.product-listing__orderby__button.active .product-listing__orderby__button__icon {
  border: 7.5px solid var(--e-global-color-primary);
}
.product-listing__orderby__button__icon {
  width: 24px;
  height: 24px;
  border-radius: 50%;
  border: 1px solid #D8D8D8;
  transition: border-color 0.3s ease, border-width 0.3s ease;
}
.product-listing__posts {
  display: flex;
  flex-wrap: wrap;
  gap: 16px;
}
@media (min-width: 1024px) {
  .product-listing__posts {
    gap: 24px;
  }
}
.product-listing__posts--list .product-listing__post {
  width: 100%;
}
.product-listing__posts--list .product-card {
  flex-direction: row !important;
  align-items: center !important;
}
.product-listing__posts--list .product-card__image {
  min-width: 104px;
  width: 104px;
  height: 132px !important;
  padding: 12px 16px !important;
  border-bottom: none !important;
  border-right: 1px solid #ECECEC !important;
}
@media (min-width: 768px) {
  .product-listing__posts--list .product-card__image {
    height: 104px !important;
    padding: 12px !important;
  }
}
.product-listing__posts--list .product-card__image .elementor-widget-image {
  height: 100%;
}
.product-listing__posts--list .product-card__image .elementor-widget-image img {
  height: 100% !important;
}
.product-listing__posts--list .product-card__wishlist {
  position: relative !important;
  right: auto !important;
  top: auto !important;
  justify-content: center;
  align-items: center;
  min-width: 40px;
  height: 40px;
}
.product-listing__posts--list .product-card__wishlist .signiti-wishlist-heart {
  width: 40px;
  height: 40px;
}
.product-listing__posts--list .product-card__wishlist .signiti-wishlist-heart__icon {
  width: 20px;
  height: 20px;
}
.product-listing__posts--list .product-card__content {
  display: flex;
  flex-direction: row !important;
  align-items: center !important;
  justify-content: space-between !important;
}
@media (max-width: 767px) {
  .product-listing__posts--list .product-card__content {
    padding: 16px 16px 16px 0 !important;
  }
}
.product-listing__posts--list .product-card__info {
  align-items: flex-start !important;
  padding: 0 !important;
}
.product-listing__posts--list .product-card__title {
  max-width: calc(100% - 30px);
}
.product-listing__posts--list .product-card__title .product_title {
  text-align: left !important;
}
.product-listing__posts--list .product-card__button {
  min-width: unset !important;
  margin-left: 0 !important;
  margin-bottom: 0 !important;
}
@media (max-width: 767px) {
  .product-listing__posts--list .product-card__button {
    margin-right: 0 !important;
    padding: 9px 16px !important;
  }
}
.product-listing__posts--list .product-card__button .elementor-widget-heading {
  min-width: unset !important;
}
.product-listing__posts--list .product-card__delivery {
  display: none;
}
.product-listing__post {
  width: calc(50% - 8px);
}
@media (min-width: 1024px) {
  .product-listing__post {
    width: calc(33.3333333333% - 16px);
  }
}
@media (min-width: 1280px) {
  .product-listing__post {
    width: calc(25% - 18px);
  }
}
.product-listing__post .product {
  height: 100%;
}
